Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class DiskConfig

`java.lang.Object
oracle.ovs.api.datamodel.VirtualDiskBase
oracle.ovs.api.datamodel.DiskConfig`

All Implemented Interfaces:
  java.io.Serializable

      public class DiskConfig

extends VirtualDiskBase

Disk config data model, use to create a new disk image for a virtual machine.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.ovs.api.datamodel.VirtualDiskBase
`DISK_MODE_READ, DISK_MODE_WRITE, HARD_DRIVE_AUTO, HARD_DRIVE_IDE, HARD_DRIVE_SCSI, HARD_DRIVE_XVD, HARD_DRIVER_AUTO, HARD_DRIVER_IDE, HARD_DRIVER_SCSI, HARD_DRIVER_XVD, NON_SHARABLE, STATUS_ACTIVE`

Constructor Summary
`DiskConfig()`

Method Summary
`java.lang.String` | `getComments()`
`java.lang.String` | `getDiskName()`
`java.lang.Double` | `getDiskSize()`
`java.lang.String` | `getFrontEndName()`
`java.lang.String` | `getHardDiskDriver()` Deprecated. * @return
`HardDriveType` | `getHardDriveType()`
`DiskMode` | `getMode()`
`int` | `getPriorityClass()`
`java.lang.Boolean` | `getQoSEnable()`
`java.lang.Long` | `getServerPoolId()`
`java.lang.Boolean` | `getSharable()`
`void` | `setComments(java.lang.String comments)`
`void` | `setDiskName(java.lang.String diskName)`
`void` | `setDiskSize(java.lang.Double diskSize)`
`void` | `setFrontEndName(java.lang.String frontEndName)`
`void` | `setHardDiskDriver(java.lang.String hardDiskDriver)` Deprecated.
`void` | `setHardDriveType(HardDriveType hardDriveType)`
`void` | `setMode(DiskMode mode)`
`void` | `setPriorityClass(int priorityClass)`
`void` | `setQoSEnable(java.lang.Boolean qoSEnable)`
`void` | `setServerPoolId(java.lang.Long serverPoolId)`
`void` | `setSharable(java.lang.Boolean sharable)`

Methods inherited from class oracle.ovs.api.datamodel.VirtualDiskBase
`getDiskModeRead, getDiskModeWrite, getHardDriveAuto, getHardDriveIde, getHardDriveScsi, getHardDriveXvd`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiskConfig

    public DiskConfig()

Method Detail

### setDiskName

    public void setDiskName(java.lang.String diskName)

### getDiskName

    public java.lang.String getDiskName()

### setDiskSize

    public void setDiskSize(java.lang.Double diskSize)

### getDiskSize

    public java.lang.Double getDiskSize()

### setSharable

    public void setSharable(java.lang.Boolean sharable)

### getSharable

    public java.lang.Boolean getSharable()

### setQoSEnable

    public void setQoSEnable(java.lang.Boolean qoSEnable)

### getQoSEnable

    public java.lang.Boolean getQoSEnable()

### setPriorityClass

    public void setPriorityClass(int priorityClass)

### getPriorityClass

    public int getPriorityClass()

### setHardDriveType

    public void setHardDriveType(HardDriveType hardDriveType)

### getHardDriveType

    public HardDriveType getHardDriveType()

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

### getServerPoolId

    public java.lang.Long getServerPoolId()

### setComments

    public void setComments(java.lang.String comments)

### getComments

    public java.lang.String getComments()

### setFrontEndName

    public void setFrontEndName(java.lang.String frontEndName)

### getFrontEndName

    public java.lang.String getFrontEndName()

### setHardDiskDriver

    public void setHardDiskDriver(java.lang.String hardDiskDriver)

  Deprecated.
  Parameters:
    `hardDiskDriver` -

### getHardDiskDriver

    public java.lang.String getHardDiskDriver()

  Deprecated. * @return

### setMode

    public void setMode(DiskMode mode)

### getMode

    public DiskMode getMode()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.